babel-preset-movio
Babel preset recommended at Movio
Last updated 4 years ago by movio .
MIT · Repository · Bugs · Original npm · Tarball · package.json
$ cnpm install babel-preset-movio 
SYNC missed versions from official npm registry.

babel-preset-movio

Babel preset recommended at Movio.

Install

$ npm install --save-dev babel-preset-movio

Usage

Via .babelrc (Recommended)

.babelrc

{
  "presets": ["movio"]
}

// With ES2015 preset options
{
  "presets": ["movio", { "es2015": { "modules": false, "loose": true } }]
}

Via CLI

$ babel script.js --presets movio

Via Node API

require("babel-core").transform("code", {
  presets: ["movio"]
});

Preset list

Plugin list

Note The regenerator transform plugin requires either the Babel Polyfill or the regenerator runtime to work.

Current Tags

  • 1.2.1                                ...           latest (4 years ago)

6 Versions

  • 1.2.1                                ...           4 years ago
  • 1.2.0                                ...           4 years ago
  • 1.1.0                                ...           4 years ago
  • 1.0.2                                ...           5 years ago
  • 1.0.1                                ...           5 years ago
  • 1.0.0                                ...           5 years ago
Downloads
Today 0
This Week 2
This Month 14
Last Day 0
Last Week 4
Last Month 15
Dependencies (35)
Dev Dependencies (0)
None
Dependents (0)
None

Copyright 2014 - 2016 © taobao.org |